This directory contains an [odpdown](https://github.com/thorstenb/odpdown)
presentation generated by [odpdown-tools](https://github.com/jgrassler/odpdown-tools).
You can build it by running `make`.

# BUILD REQUIREMENTS

Building requires at least the following to build:

* Libreoffice Impress
* Make
* Pandoc
* M4
* `odpdown`
* Python (2.7 or higher)

Depending on whether the presentation contains images and what type of images
you may also need

* Libreoffice Draw, `pdftk`: for images in Libreoffice Draw format
* Inkscape: for images in SVG format
* Dia: for images in Dia format

# FILES

* `presentation-{4-3,16-9}.{odp,pdf}`: presentation in
  various formats and aspect ratios. Please do not edit any of these files!
  Edit their Markdown sources instead - see below for details.

* `transcript.{html,md}` transcript for the presentation's in
  HTML and Markdown format. For reading we recommend the HTML version since
  in that version any images the author included in the transcript comments
  will be visible.

* `src/`: raw markdown sources for presentation. The entry
  point is `main.md`. This file is processed by M4, so feel free to use M4
  macros (`include(<filename>)` is probably the most useful.

* `img/` images for use in both presentation and transcripts. use paths
  relative to this directory to reference them from markdown source in `src/`
  (example: `![My Image](img/myimage.png)`).

# ADDING IMAGES

Adding images is a bit tricky. First of all, the following formats are
supported:

* LibreOffice Draw (`.odg`)

* Dia (`.dia`)

* SVG (`.svg`). Only SVG created by Inkscape has really been tested. Mileage
  for SVG produced with different software may vary.

* PNG

Place these files in the following directories:

* LibreOffice Draw (`.odg`): `img/draw/`

* Dia: `img/dia/`

* SVG: `img/svg/`

* PNG: `img/`. These must be regular files, not symlinks. Symlinks will be
  deleted in the course of the build (see below for details)!

All files will be converted to PNG in their respective directories and then
symlinked to `img/`. That places a restriction on their file names: they must
not have identical base file names. If you have both `img/dia/myimage.dia` and
`img/svg/myimage.svg`, symlinking for that image will fail. The same goes for
any PNG images you place directly in `img`, such as `img/myimage.png`.

Before symlinking PNG files from `img/` subdirectories, all symlinks in `img/`
will be deleted. If you place any PNG files in `img` directly, make sure they
are regular files and not symlinks. If they are symlinks, they will be deleted
as part of the build.
